Bug 115106 - Screen corruption in Writer in FullScreen mode. (gtk2)
Summary: Screen corruption in Writer in FullScreen mode. (gtk2)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.2 rc
Hardware: All Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK2
  Show dependency treegraph
 
Reported: 2018-01-19 11:18 UTC by Mark van Rossum
Modified: 2018-01-23 19:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of bug (15.80 KB, image/png)
2018-01-19 11:19 UTC, Mark van Rossum
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark van Rossum 2018-01-19 11:18:53 UTC
Description:
Hi

In Writer in FUllscreen mode I get corruption, after actions that bring up a item on top of the text (e.g. right-click menu) and are then removed.
Example attached.

An extra redraw should fix it.

-No HW acceletation
-No open GL


Version: 6.0.0.2
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group

Debian buster, with Xorg and intel graphics.

Actual Results:  
see above/screenshot

Expected Results:
duh


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Mark van Rossum 2018-01-19 11:19:27 UTC
Created attachment 139211 [details]
screen shot of bug
Comment 2 Mark van Rossum 2018-01-19 11:21:47 UTC
With OpenGL enabled, all works fine.
Comment 3 Xisco Faulí 2018-01-19 13:49:23 UTC
Thanks for reporting this issue!!

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: c915fdbfc77ac78d543bc097cd809edd7e6da8cb
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

but not in

Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

not reproduced in gtk3
Comment 4 Xisco Faulí 2018-01-19 13:58:24 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-06-13 18:09:08 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-06-13 22:06:04 +0200
commit	277395b6266c57a7709c3c47986f135f6789c8e7 (patch)
tree	f2435b78c0f27658e67f9219dc56de070da2b0aa
parent	60763a9551bea003271de9307923327e7a39b63e (diff)
make opengl transitions under X flicker free on enter/leave

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 5 Caolán McNamara 2018-01-19 15:45:06 UTC
ah, yes, writer can be full-screen too not just the impress slideshow. I'll revert that part of things.
Comment 6 Commit Notification 2018-01-20 19:48:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02514633c8b9299ffefbb18884995af5eef9a7f6

Resolves: tdf#115106 don't assume fullscreen is impress

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2018-01-20 19:49:42 UTC
backport to 6-0 in gerrit
Comment 8 Xisco Faulí 2018-01-22 11:46:34 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: de1bb0878fc7d7eb6071ec94d770712648013075
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 9 Commit Notification 2018-01-23 19:34:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fdf126e4b8c49093cd33f921b675d40fe98eafe&h=libreoffice-6-0

Resolves: tdf#115106 don't assume fullscreen is impress

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.